Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer
Class PriorityTest

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.TLTest<java.net.InetSocketAddress>
          org.mpisws.p2p.testing.transportlayer.PriorityTest

    public class PriorityTest

extends TLTest<java.net.InetSocketAddress>

Constructor Summary
`PriorityTest()`

Method Summary
`void` | `bogus()`
`java.net.InetSocketAddress` | `getBogusIdentifier(java.net.InetSocketAddress local)` The identifer to a bogus node.
`void` | `queueOverflow()`
`static void` | `setUpBeforeClass()`

Methods inherited from class org.mpisws.p2p.testing.transportlayer.TLTest
`getIdentifier, messageTooBigUDP, noCallbackTest, openTCP, sendUDP, tearDownAfterClass, testSocketThreadSafety`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PriorityTest

    public PriorityTest()

Method Detail

### setUpBeforeClass

    public static void setUpBeforeClass()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bogus

    public void bogus()

### queueOverflow

    public void queueOverflow()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBogusIdentifier

    public java.net.InetSocketAddress getBogusIdentifier(java.net.InetSocketAddress local)
                                                  throws java.io.IOException

  Description copied from class: `TLTest`
  The identifer to a bogus node.

  Specified by:
    `getBogusIdentifier` in class `TLTest<java.net.InetSocketAddress>`
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.